///////////////////////////////////////////////////////////////////////////////
//
// Модуль команды соединения двух файлов
//
///////////////////////////////////////////////////////////////////////////////

Процедура НастроитьКоманду(Знач Команда, Знач Парсер) Экспорт

	Парсер.ДобавитьПозиционныйПараметрКоманды(Команда, "ИзменяемыйШаблон", "Имя файла шаблона, в который будут добавлены элементы из второго файла");
	Парсер.ДобавитьПозиционныйПараметрКоманды(Команда, "ДобавляемыйШаблон", "Имя файла шаблона, из которого будут добавлены элементы в первый файл");
	
КонецПроцедуры // НастроитьКоманду

// Выполняет логику команды
// 
// Параметры:
//   ПараметрыКоманды - Соответствие - Соответствие ключей командной строки и их значений
//   Приложение - Модуль - Модуль менеджера приложения
//
Функция ВыполнитьКоманду(Знач ПараметрыКоманды, Знач Приложение) Экспорт

	Лог = Приложение.ПолучитьЛог();

	ИзменяемыйШаблон = ПараметрыКоманды["ИзменяемыйШаблон"];
	ДобавляемыйШаблон = ПараметрыКоманды["ДобавляемыйШаблон"];
	
	ВходныеФайлы = Новый Массив();
	ВходныеФайлы.Добавить(Новый Файл(ИзменяемыйШаблон));
	ВходныеФайлы.Добавить(Новый Файл(ДобавляемыйШаблон));
	
	Конвертер.СоединитьШаблоны(ВходныеФайлы, ИзменяемыйШаблон);
	
	Лог.Отладка("Файлы объединены");
	
	Возврат Приложение.РезультатыКоманд().Успех;
	
КонецФункции // ВыполнитьКоманду
